Shopping Cart
Generate a shopping cart without a lead
Generates a virtual shopping cart based on facility and unit group data, detached from a lead reference.
POST
/
shopping
/
{portfolio}
/
v1
/
shopping-cart
/
generate-detached-cart
Generate a shopping cart without a lead
curl --request POST \
--url https://public-api.prd.monument.io/shopping/{portfolio}/v1/shopping-cart/generate-detached-cart \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"facilityUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"unitGroupUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateDesiredMoveIn": "2024-01-15",
"promotionUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"promotionUuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"coverageUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://public-api.prd.monument.io/shopping/{portfolio}/v1/shopping-cart/generate-detached-cart"
payload = {
"facilityUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"unitGroupUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateDesiredMoveIn": "2024-01-15",
"promotionUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"promotionUuids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"coverageUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
facilityUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
unitGroupUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
dateDesiredMoveIn: '2024-01-15',
promotionUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
promotionUuids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
coverageUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://public-api.prd.monument.io/shopping/{portfolio}/v1/shopping-cart/generate-detached-cart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"itemType": {
"itemTypeUuid": "<string>",
"itemTypeName": "<string>",
"description": "<string>",
"isTaxable": true,
"isRecurring": true,
"isRequiredAtMoveIn": true,
"isRequiredAtTransfer": true,
"isReadOnly": true,
"isActive": true,
"numberOfFacilities": 123,
"amount": "<string>",
"isProratedAtMoveIn": true,
"amountInPennies": 123,
"taxAmountInPennies": 123,
"entityAttributeOrganizationUuid": "<string>",
"entityAttributeOrganizationDescription": "<string>",
"fixedFeeAmount": 123,
"feePercentage": 123,
"fullNonProratedAmount": 123,
"glAccountTypeUuid": "<string>",
"promotion": {
"promotionUuid": "<string>",
"promotionName": "<string>",
"discountType": "<string>",
"discountAmountInPennies": 123,
"internalNote": "<string>"
},
"promotions": [
{
"promotionUuid": "<string>",
"promotionName": "<string>",
"discountType": "<string>",
"discountAmountInPennies": 123,
"internalNote": "<string>"
}
],
"feeConditions": [
{
"itemTypeFeeConditionUuid": "<string>",
"sortOrder": 123,
"rentRangeFrom": 123,
"rentRangeTo": 123,
"rateThreshold": 123
}
]
},
"dateDesiredMoveIn": "2023-11-07T05:31:56Z",
"amountInPennies": 123,
"preProrationAmountInPennies": 123,
"billingPeriod": 123
}
]
}Headers
Api key required to authenticate your request. Please reach out to monument for a key.
Example:
"monument-2230012-2312321"
Path Parameters
Body
application/json
Desired move-in date. If not provided, defaults to current date.
Example:
"2024-01-15"
UUID of the coverage plan to include. Replaces the facility default when provided.
Response
Show child attributes
Show child attributes
⌘I
Generate a shopping cart without a lead

